Skip To Content

ArcGIS Server 10.6.x 系统要求

下面列出了运行 ArcGIS Server 的系统规范和硬件要求。 有关先前版本的信息,请参阅 Esri 支持

建议您检查弃用通知,以确定硬件和软件组件是否仍与 10.6.1 版本兼容。

操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS Server 将不会进行安装。

域控制器上不支持 ArcGIS Server。在域控制器上安装 ArcGIS Server 可能会对功能产生不利影响。

注:

ArcGIS Server 需要 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributable(x86 和 x64)。如果尚未安装 Visual C++ 2017 Redistributable(Update 5 或更高版本),则运行 setup.exe 将在启动 setup.msi 前进行安装。如果尚未安装 Microsoft Visual C++ 2017(Update 5 或更高版本)Redistributable(x86 和 x64),则不会安装 Setup.msi。

受支持的操作系统 经测试的最新更新或补丁包

Windows Server 2016 标准版和数据中心版*

2018 年 5 月 8 日更新的 1607 版本

Windows Server 2012 R2 标准版和数据中心版

2018 年 5 月 8 日

Windows Server 2012 标准版和数据中心版

2018 年 5 月 8 日

Windows Server 2008 R2 标准版、企业版和数据中心版

2018 年 5 月 8 日更新的 SP1

除非另有说明,否则针对这些操作系统的之前和未来更新或补丁包将均受支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

Windows 10、8.1 和 7 仅适用于基本测试和应用程序开发用途。建议您不要在生产环境中部署。

警告:
2018 年 1 月,来自 Microsoft 的安全更新导致在 Windows Server 2008 R2 和 Windows 7 上运行 ArcGIS Server 时地理处理服务崩溃。Esri 为 ArcGIS Server 10.2.1 及更高版本分别发布了一个修补程序,以解决此漏洞。虽然这些操作系统仍受支持,但在此基础上运行的任何 ArcGIS Server 实例均应安装此修补程序。此漏洞的所有修补程序均可从 Esri 技术支持处获取。

受支持的操作系统 经测试的最新更新或补丁包

Windows 10 专业版和企业版

2018 年 5 月 8 日更新的 1803 版本

Windows 8.1 专业版和企业版

2018 年 5 月 8 日

Windows 7 旗舰版、专业版、企业版和家庭高级版

2018 年 5 月 8 日更新的 SP1

操作系统要求和限制

Windows

硬件要求

GIS Server、ArcGIS GeoEvent Server、ArcGIS Image Server 或 Esri Business Analyst for Server 的最小 RAM 要求:每个唯一许可角色 8 GB。

对于生产环境,并未列出最低硬件要求,因为用户和企业对本软件的需求可能各不相同。在确定硬件需求时必须考虑到这些要求,以满足用户对性能和可扩展性的预期。

ArcGIS GeoAnalytics Server:16 GB

配置 ArcGIS GeoAnalytics Server 时,确保托管用户配置文件的驱动器有足够的可用临时空间。在确定充分值时,考虑输入数据大小、GeoAnalytics 任务类型和您站点中的节点数。

示例场景:

输入数据大小:100 GB 的 CSV 点要素

ArcGIS GeoAnalytics Server 节点数:5

任务:连接要素(自连接、均匀分布要素的简单笛卡尔乘积)

建议的磁盘空间:(100 x 100 GB) / 5 = 2 TB/节点

相应增加空间以适应并发 GeoAnalytics 作业。

ArcGIS Server 至少需要 10 GB 的可用硬盘空间。

防火墙设置

ArcGIS Server 在端口 1098、4000-4004、6006、6080、6099 和 6443 上进行通信。安装软件前,您需要在防火墙上打开这些端口。有关详细信息,请参阅 ArcGIS Server 使用的端口。

域名服务 (DNS) 和完全限定域名 (FQDN) 建议。

如果要联合站点Portal for ArcGIS,建议您配置组织的域名服务 (DNS),使其包含想要与门户联合的每个站点的完全限制域名 (FQDN) 条目。Portal for ArcGIS 会在进行联合时请求每个站点的 FQDN。

SSL 证书

ArcGIS Server 预先配置了自签名证书,以便对服务器进行初始测试并帮助您快速验证安装是否成功。您必须从受信任的证书颁发机构 (CA) 请求证书并配置服务器以进行使用。这可能是由您的组织颁发的域证书或 CA 签名的证书。

ArcGIS Server 一样,Portal for ArcGIS 也预先配置了自签名证书。如果将要联合 ArcGIS Server 站点与 Portal for ArcGIS,则应从受信任的 CA 请求证书并配置门户以进行使用。

有关详细信息,请参阅配置安全环境的最佳做法

.NET 扩展支持功能需要安装 Microsoft .NET Framework

.NET 扩展支持功能需要安装 Microsoft .NET Framework 4.5 或更高版本。如果未找到 Microsoft .NET Framework 4.5,则无法安装 .NET 扩展模块支持功能。

如果您的操作系统已安装 Microsoft .NET Framework 4.5,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5,则可从安装介质上进行下载并使用 Windows 功能将其启用。

Microsoft 核心 XML 服务 (MSXML) 6

ArcGIS Server 要求安装 Microsoft 核心 XML 服务 (MSXML) 6。如果在计算机上未找到 MSXML 6,则无法继续安装 ArcGIS Server。如果通过 GUI 执行 ArcGIS Server 的安装,那么安装过程中将会自动安装 MSXML 6。如果以静默方式或在特定部署环境中安装 ArcGIS Server,则必须单独安装 MSXML 6。可从 <ArcGIS ServerInstallation folder>\Support\MSXML6\64-bit\msxml6_x64.msi 中获得 MSXML 6 安装程序。

地理处理要求

某些核心地理处理工具需要 Python 2.7.14、Numerical Python 1.9.3 和 Matplotlib 1.5.2 支持。如果未检测到这些组件,安装程序将对其进行自动安装(推荐)。

页面文件大小要求

请确保为 ArcGIS Server 计算机配置了充足的页面文件大小。您应该咨询您的 IT 管理员,或遵照 Microsoft 的最佳做法

使用 ArcGIS GeoAnalytics Server 时,Windows 页面文件在处理内存密集型任务时可使用高达 3X 的可用物理 RAM。为避免系统故障和耗尽磁盘空间,可将页面文件移动至具有至少 3X 可用物理 RAM 空间的卷中。

支持的 Web 浏览器

ArcGIS Server Manager 要求安装以下任一类型的 web 浏览器:

  • Chrome
  • Firefox
  • Internet Explorer 11
  • Edge

云平台上的 ArcGIS Enterprise

您可以在多个云平台上部署 ArcGIS Enterprise。任何提供满足操作系统基本系统要求和系统规范的虚拟机的云平台都支持与 ArcGIS Enterprise 一起使用。

除基本支持外,Esri 还在两个大众云平台上提供部署工具和预构建的虚拟机映像:Amazon Web Services 和 Microsoft Azure。在这两个云平台上进行部署时,建议您使用专用工具和映像来简化部署和技术支持。

除作为其正常操作一部分的 ArcGIS Enterprise 部署工具所创建和管理内容之外,Esri 不提供配置云基础架构的技术支持。对于 Esri 不提供专用部署工具的云平台,支持仅限于解决特定于软件的问题。

ArcGIS Enterprise 还支持不同的云原生功能,例如多个云平台上的存储和数据库。示例包括 Amazon 简单存储服务 (S3) 和 Microsoft Azure SQL Database。有关支持的原生云功能的信息,请参阅每个 ArcGIS 组件的文档。

受支持的虚拟化环境

ArcGIS Enterprise 的所有组件只要运行在支持的平台上,就完全支持虚拟环境。 使用 ArcGIS Enterprise 运行第三方应用程序(如关系型数据库)时,该应用程序也必须受虚拟环境的支持。请检查第三方供应商的虚拟化支持情况。

已知在以下虚拟环境中可良好运行 ArcGIS Enterprise:

  • VMware vSphere 5.5、6.0 和 6.5
  • Microsoft Hyper-V
  • Huawei FusionSphere 5.1 和 6.0

有关其他信息,请参阅 虚拟化和 ArcGIS Server

支持的数据库

有关 ArcGIS Server 支持的数据库的信息,请参阅以下主题:

仅 Windows 操作系统支持 ArcGIS Server Workgroup。